Verified Commit 2a296012 authored by Aral Balkan's avatar Aral Balkan
Browse files

Document the 12.9.5 update bug that’s fixed in 12.9.6

parent 0e9d8d71
......@@ -99,7 +99,7 @@ If it turns out that any of these are a widespread reason for first-run breakage
Of course, you will need `wget` (or `curl`) installed to download the install script. You can install `wget` via your distribution’s package manager (e.g., `sudo apt install wget` on Ubuntu-like systems).
## Update (as of v12.9.5)
## Update (as of v12.9.5; properly functioning as of v12.9.6)
To seamlessly update the native binary if a newer version exists:
......@@ -109,6 +109,8 @@ site update
This command will automatically restart a running Site.js daemon if one exists. If you are running Site.js as a regular process, it will continue to run and you will run the newer version the next time you launch a regular Site.js process.
__Note:__ There is a bug in the semantic version comparison in the original release (v12.9.5) that would prevent upgrades between minor versions (e.g., between 12.9.x and 12.10.x). This is fixed in v12.9.6. If you’re on v12.9.5 and you’re reading this after we’ve moved to 12.10.x and beyond, please reinstall Site.js to update.
## Uninstall
To uninstall the native binary (and any created artifacts, like TLS certificates, systemd services, etc.):
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment